package com.steerinfo.dil.controller;

import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.HashMap;
import java.util.Map;

/**
 * @Description: 异地库专属接口
 * @Author:HuJianGuo
 * @GreateTime:2022/6/2 15:28
 * @Version:V2.0
 */
public class RemoteWarehouseController extends BaseRESTfulController {


    /**
     *
     * @param map
     * @return
     */
    @ApiModelProperty(value = "传输运单信息给异地库系统")
    public RESTfulResult sendOrderMessageToRemote(@RequestBody Map<String,Object> map) {
        Map<String,Object> resultMap = new HashMap<>();
        return success(resultMap);
    }
}
